
Ryzom - Bug # 620

Status: Rejected Priority: Normal
Author: kaetemi Category:
Created: 06/17/2009 Assignee:
Updated: 03/02/2012 Due date:
Subject: Weird usage of mutex in particle system loader.
Description

In particle_system_shape.cpp the following can be found twice inside a function, at lines 231 and 400:

    NLMISC::CMutex mutex;
    mutex.enter();

    // ...

    mutex.leave();

So, it enters a mutex that's created locally on the stack. Which, to my understanding, doesn't really do anything? ...

History
#1 - 09/29/2010 09:43 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (3d)

#2 - 10/16/2010 10:55 am - kervala
- Status changed from New to Rejected

If it works it shouldn't be changed excepted if you noticed a bug about that :)

#3 - 08/14/2011 11:54 pm - kaetemi

It works because it doesn't do anything at all.

#4 - 03/02/2012 10:44 pm - kaetemi
- % Done changed from 0 to 100

Fixed it anyway.
